Автор Тема: Dart 1.0 - обновление могилы для js  (Прочитано 1208 раз)

valexey_u

  • Hero Member
  • *****
  • Сообщений: 3013
    • Просмотр профиля
Dart 1.0 - обновление могилы для js
« : Октябрь 17, 2012, 10:46:35 am »
Помнится год назад, когда Dart только-только вышел в свет, он был страшен. Его компилятор генерировал жуткий js-код, он сам по себе не поддерживался нигде и с производительностью были проблемы. Не было нормальной среды разработки, не было библиотек даже базовых, чтобы манипулировать HTML, взаимодействие с js-кодом также не было (в результате нельзя было использовать код проверенных временем js-либ типа jquery той же) ну и документации нормальной тоже не было.

Теперь же все это есть!

Есть Dart VM, которая работает эффективней чем самый эффективный js-движок (V8).
Есть версия хрома куда уже вшита Dart VM
Есть компилятор Dart, который умеет теперь генерировать компактный и эффективнй js-код (а не как раньше - 100 Кб на hello world).
Есть стандартная универсальная либа для работы с HTML.
Есть либа для работы с js-либами
Наконец есть современная IDE для Dart'a.

И это был всего лишь краткий обзор самого важного. И это не все. Подробнее о новшествах можно прочесть тут и тут.

Ну и главная ссылка: http://news.dartlang.org/2012/10/dart-m1-release.html
Y = λf.(λx.f (x x)) (λx.f (x x))

valexey_u

  • Hero Member
  • *****
  • Сообщений: 3013
    • Просмотр профиля
Re: Dart 1.0 - обновление могилы для js
« Ответ #1 : Октябрь 17, 2012, 01:52:21 pm »
Да, еще нюанс: также реализована поддержка Source maps: http://code.google.com/p/dart/issues/detail?id=2319

Это означает, что если даже браузер не поддерживает Dart и код был оттранслирован в код js который браузер и исполняет, при отладке в оном браузере программист будет видеть Dart-код а не js-код. И шагать в отладчике именно по своим исходникам а не потому что там было нагенерировано.
Y = λf.(λx.f (x x)) (λx.f (x x))